Creates an order on a visit
curl --request POST \
--url https://api.staging.scan.com/api/v2/referrals/{referral_id}/visits/{visit_id}/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order": {
"body_part_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'require 'uri'
require 'net/http'
url = URI("https://api.staging.scan.com/api/v2/referrals/{referral_id}/visits/{visit_id}/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"order\": {\n \"body_part_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}"
response = http.request(request)
puts response.read_bodyimport requests
url = "https://api.staging.scan.com/api/v2/referrals/{referral_id}/visits/{visit_id}/orders"
payload = { "order": { "body_part_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({order: {body_part_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}})
};
fetch('https://api.staging.scan.com/api/v2/referrals/{referral_id}/visits/{visit_id}/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.staging.scan.com/api/v2/referrals/{referral_id}/visits/{visit_id}/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'order' => [
'body_part_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.staging.scan.com/api/v2/referrals/{referral_id}/visits/{visit_id}/orders"
payload := strings.NewReader("{\n \"order\": {\n \"body_part_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"order": {
"id": "11111111-1111-1111-1111-111111111111",
"visit_id": "22222222-2222-2222-2222-222222222222",
"body_part_id": "33333333-3333-3333-3333-333333333333",
"contrast": "without_contrast",
"laterality": "left"
}
}Referrals
Creates an order on a visit
Adds a procedure (order) to an existing visit on a referral.
POST
/
api
/
v2
/
referrals
/
{referral_id}
/
visits
/
{visit_id}
/
orders
Creates an order on a visit
Authorizations
Authorization: Bearer <api_token>. Sandbox tokens come from Get API keys
and allow 2,000 successful requests or 7 days. Failed 4xx/5xx responses do
not consume the allowance. Production tokens are issued from the group's
API access tab.
Body
application/json
Show child attributes
Show child attributes
Response
order created
Show child attributes
Show child attributes

